### Method

# WebKit2WebExtension DOMDocument get_scripts

#### Declaration [src]

    WebKitDOMHTMLCollection*
    webkit_dom_document_get_scripts (
      WebKitDOMDocument* self
    )

#### Description

No description available.

Available since: | 2.14
Deprecated since: | 2.22
Use JavaScriptCore API instead.

Gets property | `WebKit2WebExtension.DOMDocument:scripts`

#### Return value

Returns: | `WebKitDOMHTMLCollection`
| A `WebKitDOMHTMLCollection`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.